Package org.codehaus.plexus.util.io

# Class URLInputStreamFacade

java.lang.Object
org.codehaus.plexus.util.io.URLInputStreamFacade

All Implemented Interfaces:
  `InputStreamFacade`

public class URLInputStreamFacade extends Object implements InputStreamFacade
Implementation of `InputStreamFacade` for URL's.

## Constructor Summary

Constructors
Constructor
Description
`URLInputStreamFacade(URL url)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream()`
The caller must assume, that this method may be invoked only once.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URLInputStreamFacade

public URLInputStreamFacade(URL url)

## Method Details

### getInputStream

public InputStream getInputStream() throws IOException
Description copied from interface: `InputStreamFacade`
The caller must assume, that this method may be invoked only once.

Specified by:
  `getInputStream` in interface `InputStreamFacade`
Returns:
  Retrieves the actual `InputStream`.
Throws:
  `IOException` - if io issue